|  | Home · All Classes · Modules

# QPyDesignerPropertySheetExtension Class Reference
[QtDesigner module]

Inherits QObject and QDesignerPropertySheetExtension.

### Methods

- __init__ (self, QObject parent)

## Detailed Description

The QPyDesignerPropertySheetExtension class is provided to work around the fact that it is not possible for a Python class to derive from multiple Qt classes.

In order to manipulate a widget's properties you should implement a Python class derived from QPyDesignerPropertySheetExtension rather than one derived from QObject and QDesignerPropertySheetExtension.

## Method Documentation

### QPyDesignerPropertySheetExtension.__init__ (self, QObject parent)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.